import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { IonicDataLogger, SyncableDatalogPacket } from '@iotize/ionic';
import * as i0 from "@angular/core";
export declare class TapDatalogTableComponent {
    protected changeRefDetector: ChangeDetectorRef;
    _packets?: IonicDataLogger.PacketInfo[];
    dataColumns: {
        key: string;
        title: string;
    }[];
    date: boolean;
    sync: boolean;
    onSyncEvent: EventEmitter<SyncableDatalogPacket>;
    constructor(changeRefDetector: ChangeDetectorRef);
    set dataLogger(dataLogger: IonicDataLogger | undefined);
    set packets(packets: IonicDataLogger.PacketInfo[] | undefined);
    onRetrySync: EventEmitter<SyncableDatalogPacket>;
    get packets(): IonicDataLogger.PacketInfo[] | undefined;
    packetVariableValue(packet: IonicDataLogger.PacketInfo, key: string): string;
    packetId(packet: IonicDataLogger.PacketInfo): number;
    packetDate(packet: IonicDataLogger.PacketInfo): Date;
    isPacketSync(packetInfo: SyncableDatalogPacket | IonicDataLogger.PacketInfo): boolean | undefined;
    syncPacket(packetInfo: SyncableDatalogPacket): void;
    private initColumnsFromPacket;
    static ɵfac: i0.ɵɵFactoryDeclaration<TapDatalogTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TapDatalogTableComponent, "tap-datalog-table", never, { "dataColumns": "dataColumns"; "date": "date"; "sync": "sync"; "dataLogger": "dataLogger"; "packets": "packets"; }, { "onSyncEvent": "onSyncEvent"; "onRetrySync": "onRetrySync"; }, never, never, false, never>;
}
